Summary: Openswan IPSEC implementation
Name: openswan
Version: 2.1.5
%define tarversion %{version}
Release: 2.FC3.1
Source: http://www.openswan.org/code/openswan-%{tarversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Summary: Openswan IPsec userland tools
Url: http://www.openswan.org/
License: GPL
Group: System Environment/Daemons
Provides: ipsec-userland
Requires: iproute ipsec-tools
BuildRequires: pam-devel gmp-devel
Patch0:   openswan-2.1.4-initscript.patch
Patch1:   openswan-2.1.4-fix_status.patch
Patch2:   openswan-2.1.4-manpages.patch
Patch3:   openswan-2.1.4-pie.patch
Patch4:   openswan-2.1.4-x86_64_pie.patch
Patch5:   openswan-2.1.4-selinux.patch
Patch6:   openswan-2.1.5-pam-sa.patch

%description
Openswan is a free implementation of IPSEC & IKE for Linux.

IPsec is Internet Protocol Security and uses strong cryptography to 
provide both authentication and encryption services.  These services 
allow you to build secure tunnels through untrusted networks.  
Everything passing through the untrusted net is encrypted by the ipsec 
gateway machine and decrypted by the gateway at the other end of the 
tunnel.  The resulting tunnel is a virtual private network or VPN.

This package contains the daemons and userland tools for setting up
Openswan on a kernel with the 2.6 native IPsec code.

%prep
%setup -q -n openswan-%{tarversion}
%patch0 -p1 -b .initscript
%patch1 -p1 -b .fix_status
%patch2 -p1 -b .manpages
%ifarch x86_64
%patch4 -p1 -b .x86_64_pie
%else
%patch3 -p1 -b .pie
%endif
%patch6 -p1 -b .pam_sa

%build
%{__make} \
  USERCOMPILE="-g %{optflags}" \
  INC_USRLOCAL=%{_prefix} \
  MANTREE=%{_mandir} \
  INC_RCDEFAULT=%{_initrddir} \
  BIND9STATICLIBDIR=%{_libdir} \
  USE_XAUTH=true \
  USE_XAUTHPAM=true \
  programs
FS=$(pwd)

%install
rm -rf ${RPM_BUILD_ROOT}
%{__make} \
  DESTDIR=%{buildroot} \
  INC_USRLOCAL=%{_prefix} \
  INC_RCDEFAULT=%{_initrddir} \
  MANTREE=%{buildroot}%{_mandir} \
  BIND9STATICLIBDIR=%{_libdir} \
  USE_XAUTH=true \
  USE_XAUTHPAM=true \
  DOCDIR=%{buildroot}/usr/share/doc/openswan-%{version} \
  install
install -d -m700 %{buildroot}%{_localstatedir}/run/pluto
install -d %{buildroot}%{_sbindir}
#install -m755 $RPM_SOURCE_DIR/ipsec.init %{buildroot}/%{_initrddir}/ipsec

find %{buildroot}/etc/ipsec.d -type f -exec chmod 644 {} \;

# Fix freeswan docs
mkdir manual
mv %{buildroot}/usr/share/doc/openswan-%{version}/* ./manual
chmod 644 manual/*
rm -rf %{buildroot}/usr/share/doc

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS README 
%doc doc/README.* doc/CHANGES.* doc/CREDITS.* doc/2.6.known-issues
%doc doc/examples doc/std doc/quickstarts manual
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ipsec.conf
%attr(0755,root,root) %dir %{_sysconfdir}/ipsec.d
%dir %{_sysconfdir}/ipsec.d/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ipsec.d/*/*
%config %{_initrddir}/ipsec
/usr/lib/ipsec
%{_sbindir}/ipsec
%{_libexecdir}/ipsec
%{_localstatedir}/run/pluto
%{_mandir}

%preun
if [ $1 = 0 ]; then
    service ipsec stop > /dev/null 2>&1
    /sbin/chkconfig --del ipsec
fi

%postun
if [ "$1" -ge "1" ]; then
  service ipsec condrestart > /dev/null 2>&1
fi

%post
chkconfig --add ipsec

%changelog
* Thu Dec 27 2005 Harald Hoyer <harald@redhat.com> - 2.1.5-2.FC3.1
- fixed possible xauth/PAM buffer overflow. (bug 146287)

* Thu Oct 21 2004 Bill Nottingham <notting@redhat.com> - 2.1.5-2
- don't run by default. again.

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 2.1.5-1
- added selinux patch from Daniel Walsh
- initscript now uses translated strings
- version 2.1.5 with minor fixes

* Tue Sep 21 2004 Harald Hoyer <harald@redhat.com> - 2.1.4-7
- added more build reqs (bug 132877)

* Thu Sep  9 2004 Bill Nottingham <notting@redhat.com> - 2.1.4-6
- don't run by default
- don't create/chmod directories in %post, just include them with the
  right perms
- fix debuginfo
- fix docs

* Mon Aug 23 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-5
- Added debuginfo package

* Mon Aug 23 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-4
- Install man-pages
- Fix initscript 'fail()' func to write newline before failure()
  
* Thu Aug 19 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-3
- Fix 'service ipsec status' output

* Wed Aug 18 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-2
- Normalize initscripts for Red Hat and add translation string support

* Tue Aug 17 2004 Harald Hoyer <harald@redhat.com> - 2.1.4-1
- initial import

* Tue May 25 2004 Ken Bantoft <ken@xelerance.com>
- Initial version, based on FreeS/WAN .spec

